Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

Battlefield 1942 installation bricht ab!!!! Komische Meldung

Alles rund um Büroanwendungen, Bildungsprogramme und Spiele unter Linux

Moderator: Moderatoren

Antworten
Benutzeravatar
Traube
Member
Member
Beiträge: 75
Registriert: 10. Okt 2004, 22:45
Kontaktdaten:

Battlefield 1942 installation bricht ab!!!! Komische Meldung

Beitrag von Traube »

Hallo!

Ich habe da mal eine Frage zu Battelfield 1942 unter Linux!
Wenn ich nach der Anleitung (http://www.holarse.de/?content=/emulati ... ele/bf1942) das Spiel installieren will, bekomme ich einen Meldung, ohne irgendwelche Hinweise!!
Sobald ich auf 'begin install" klicke öffnet sich ein kleines Fentser in dem man nur auf 'ja oder nein' klicken kann! Wenn ich auf ja klicke, kommt dieses Fenster immer wieder, klicke ich auf 'nein' bricht die Installation ab!
Es steht absolut keine Hinweis in diesem Fenster, ob Fehlermeldung ja oder nein!!!!!!!
Ich verwende Suse 9.2 und habe es mit cedega 4.3 & 4.2 versucht! Leider immer das gleiche!!
Hat jemand eine Idee!!!!!
Danke
Gruß
Traube
Grothesk
Ultimate Guru
Ultimate Guru
Beiträge: 14662
Registriert: 26. Okt 2003, 11:52
Wohnort: Köln

Beitrag von Grothesk »

Hab Battlefield zwar länger nicht mehr installiert, aber mit Point2Play gute Ergebnisse erzielt. Ging eigentlich recht easy damit.
Benutzeravatar
Traube
Member
Member
Beiträge: 75
Registriert: 10. Okt 2004, 22:45
Kontaktdaten:

Beitrag von Traube »

So, ich habe Point2Play 3.3.1 installiert aber es erscheint keine installierte cedega Version an, ich habe aber Cedega 4.3.1 installiert!!
Und jetzt???
Vielen Dank
Gruß
Traube
Grothesk
Ultimate Guru
Ultimate Guru
Beiträge: 14662
Registriert: 26. Okt 2003, 11:52
Wohnort: Köln

Beitrag von Grothesk »

Entweder installierst du Cedega nochmal über P2P oder fummelst die bestehende Installation in P2P rein. Wie das geht steht in einer der READMEs von P2P oder Cedega, schätze aber eher in der von P2P. BTW: Die aktuelle Version von P2P ist 1.3.3.

Edit: Hab mir mal die Mühe gemacht die Readme zu posten:

Code: Alles auswählen

============================================================================
Using a Cedega Package (not downloaded and installed via P2P) with Point2Play
============================================================================
Point2Play can now make use of Cedega installed through regular 
package management (tgz, rpm or deb) although it should be noted that there
is no functional difference. You have two choices on how to use these
versions of Cedega from Point2Play.

1) Set up a global RC file
--------------------------

Using this method you can set up versions of Cedega that are accessible by an
user on your machine that uses Point2Play. 

Create a file, as root, called /usr/lib/transgaming_point2play/Point2PlayRC, 
and set it up as follows:

[winex]
<version number>=<path to installed cedega>:<cedega start script>

Versions of Cedega 4.0 or later require the addition of a special identifier
called a version credential, which lets Point2Play know about the
particular features supported by that version of Cedega.  This is required
because although you are recommended to fill in the space "<version number>"
above with the actual version number you are trying to use, you can actually
put almost anything you want as the version number (in case for example you want
several versions installed for testing)

Unlike previous versions of Point2Play, you only need to include the HIGHEST
version number credential that applies. If you wish to be compatible with
an older version of Point2Play you need to include a 4.0 and 4.0.1 credential
together. Also older versions of Point2Play will not react nicely to newer
credentials.

The credentials that currently exist are:
<40f> = Cedega version 4.0 (and > ) features
<401f> = Cedega version 4.0.1 (and > ) features

For example, in 4.0: 
[winex]
<40f>4.0=/usr/lib/transgaming_cedega:/usr/bin/cedega

And in 4.0.1 (and later):
<401f>4.0.1=/usr/lib/transgaming_cedega:/usr/bin/cedega

There is a line for each version of Cedega installed.

You can also set a default version of Cedega for all users by adding an entry:
default=<version>
(This can be overridden on a user by user basis)


An example /usr/lib/transgaming_point2play/Point2PlayRC file:
[winex]
default=4.0.1
<401f>4.0.1=/usr/lib/transgaming_cedega:/usr/bin/cedega
3.2.1=/usr/lib/transgaming_winex3:/usr/bin/winex3


2) Add an entry to your local RC file
-------------------------------------

Inside ~/.point2playrc, add a line in the following format:

<version number>=<path to installed cedega>:<cedega script>

Versions of Cedega 4.0 or later require the addition of version credential to unlock 
the special configuration options and other features only supported in the newer versions
of Cedega.  Unlike previous versions of Point2Play, you only need to include the HIGHEST
version number credential that applies. If you wish to be compatible with
an older version of Point2Play you need to include a 4.0 and 4.0.1 credential
together. Also older versions of Point2Play will not react nicely to newer
credentials.

The credentials that currently exist are:
<40f> = Cedega version 4.0 (and > ) features
<401f> = Cedega version 4.0.1 (and > ) features

For example: 
[winex]
<401f>4.0.1=/usr/lib/transgaming_cedega:/usr/bin/cedega
Benutzeravatar
Traube
Member
Member
Beiträge: 75
Registriert: 10. Okt 2004, 22:45
Kontaktdaten:

Beitrag von Traube »

Okay,
steht jetzt da!!
Ich habe es hier (http://www.linuxforen.de/forums/showthr ... point2play)
gefunden!!!
Danke, ich installiere es gerade!!
Schauen wir mal!!
Gruß
Traube
Benutzeravatar
Traube
Member
Member
Beiträge: 75
Registriert: 10. Okt 2004, 22:45
Kontaktdaten:

Beitrag von Traube »

Hallo!!

Jetzt bekomme ich eine Meldung "Keine Cedega Konfiguration gefunden - vielleicht ist sie beschädigt?"

ist schon nicht leicht!! :-) :D

Danke!!
Grothesk
Ultimate Guru
Ultimate Guru
Beiträge: 14662
Registriert: 26. Okt 2003, 11:52
Wohnort: Köln

Beitrag von Grothesk »

Und wenn du die Installation aus P2P heraus vornimmst?
Benutzeravatar
Traube
Member
Member
Beiträge: 75
Registriert: 10. Okt 2004, 22:45
Kontaktdaten:

Beitrag von Traube »

Das habe ich ja getan, die installation hast auch einwandfrei geklappt, aber wenn ich dann das Spiel über P2P starten möchte bekomme ich diese Meldung!!
Noch eine Idee?
Danke
Gruß
Traube
Antworten